{
  "name": "{{ agave.appsPrefix }}-samtools-filter-flags-gf",
  "version": "1.10-01",
  "label": "Filter a SAM/BAM file based on SAM flag values",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/samtools-filter-flags-gf-1.10-01",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "samtools-filter-flags-gf.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "input",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "include_reads_all",
      "value": {
        "required": false,
        "type": "number"
      }
    },
    { "id": "include_reads_none",
      "value": {
        "required": false,
        "type": "number"
      }
    },
    { "id": "exclude_reads_all",
      "value": {
        "required": false,
        "type": "number"
      }
    },
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": true,
        "default": "auto",
        "type": "string"
      }
    }
  ]
}